### Method

# ECal Component set_new_vtype

since: 3.34

#### Declaration [src]

    void
    e_cal_component_set_new_vtype (
      ECalComponent* comp,
      ECalComponentVType type
    )

#### Description [src]

Clears any existing component data from a calendar component object and creates a new `ICalComponent` of the specified type for it. The only property that will be set in the new component will be its unique identifier.

Available since: 3.34

#### Parameters

`type`

  Type: `ECalComponentVType`

  Type of calendar component to create.